## ros-lunar-delphi-srr-msgs 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(delphi_srr_msgs)

# add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)

add_message_files(DIRECTORY msg FILES
  SrrDebug3.msg
  SrrDebug4.msg
  SrrDebug5.msg
  SrrFeatureAlert.msg
  SrrFeatureSwVersion.msg
  SrrStatus1.msg
  SrrStatus2.msg
  SrrStatus3.msg
  SrrStatus4.msg
  SrrStatus5.msg
  SrrTrack.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS
  message_runtime
  std_msgs
)

=== debian/changelog ===
ros-lunar-delphi-srr-msgs (2.3.1-0stretch) stretch; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Development Team <support@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-lunar-delphi-srr-msgs (2.3.0-0stretch) stretch; urgency=high



 -- AutonomouStuff Software Development Team <support@autonomoustuff.com>  Thu, 04 Oct 2018 05:00:00 -0000

ros-lunar-delphi-srr-msgs (2.2.2-0stretch) stretch; urgency=high



 -- AutonomouStuff Software Development Team <support@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-lunar-delphi-srr-msgs (2.2.1-0stretch) stretch; urgency=high



 -- AutonomouStuff Software Development Team <support@autonomoustuff.com>  Wed, 08 Aug 2018 05:00:00 -0000

ros-lunar-delphi-srr-msgs (2.1.0-0stretch) stretch; urgency=high

  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Initial commit.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Development Team <support@autonomoustuff.com>  Mon, 14 May 2018 05:00:00 -0000

=== debian/control ===
Source: ros-lunar-delphi-srr-msgs
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Development Team <support@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-generation, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/delphi_srr_msgs
Standards-Version: 3.9.2

Package: ros-lunar-delphi-srr-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-runtime, ros-lunar-std-msgs
Description: Message definitions for the Delphi SRR

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-delphi-srr-msgs//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
